Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.pdfclown.documents.interaction.annotations
Class Widget

    java.lang.Object
      org.pdfclown.objects.PdfObjectWrapper<PdfDictionary>
          org.pdfclown.documents.interaction.annotations.Annotation
              org.pdfclown.documents.interaction.annotations.Widget

All Implemented Interfaces:
  Cloneable, ILayerable, IPdfObjectWrapper

Direct Known Subclasses:
  DualWidget

    @PDF(value=PDF12)
    public class Widget

extends Annotation

Widget annotation [PDF:1.6:8.4.5].

Since:
  0.0.7
Version:
  0.1.2, 12/21/12
Author:
  Stefano Chizzolini (http://www.stefanochizzolini.it)

Nested Class Summary
`static class` | `Widget.HighlightModeEnum` Highlighting mode [PDF:1.6:8.4.5].

Nested classes/interfaces inherited from class org.pdfclown.documents.interaction.annotations.Annotation
`Annotation.FlagsEnum`

Constructor Summary
`` | `Widget(Page page, Rectangle2D box)`
`protected` | `Widget(PdfDirectObject baseObject)`

Method Summary
`Widget` | `clone(Document context)` Gets a clone of the object, registered inside the given document context.
`AnnotationActions` | `getActions()` Gets the annotation's behavior in response to various trigger events.
`AppearanceCharacteristics` | `getAppearanceCharacteristics()` Gets the annotation's appearance characteristics to be used for its visual presentation on the page.
`Widget.HighlightModeEnum` | `getHighlightMode()` Gets the annotation's highlighting mode, the visual effect to be used when the mouse button is pressed or held down inside its active area.
`void` | `setAppearanceCharacteristics(AppearanceCharacteristics value)` Sets the annotation's appearance characteristics.
`void` | `setHighlightMode(Widget.HighlightModeEnum value)` Sets the annotation's highlighting mode.
`static Widget` | `wrap(PdfDirectObject baseObject, Field field)`

Methods inherited from class org.pdfclown.documents.interaction.annotations.Annotation
`delete, getAction, getAppearance, getBorder, getBox, getColor, getFlags, getLayer, getModificationDate, getName, getPage, getText, isPrintable, isVisible, setAction, setActions, setAppearance, setBorder, setBox, setColor, setFlags, setLayer, setModificationDate, setName, setPrintable, setText, setVisible, wrap`

Methods inherited from class org.pdfclown.objects.PdfObjectWrapper
`checkCompatibility, equals, exists, getBaseDataObject, getBaseObject, getBaseObject, getContainer, getDataContainer, getDocument, getFile, getMetadata, retrieveName, retrieveNamedBaseObject, setBaseObject, setMetadata`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Widget

    public Widget(Page page,
                  Rectangle2D box)

### Widget

    protected Widget(PdfDirectObject baseObject)

Method Detail

### wrap

    public static Widget wrap(PdfDirectObject baseObject,
                              Field field)

### clone

    public Widget clone(Document context)

  Description copied from class: `PdfObjectWrapper`
  Gets a clone of the object, registered inside the given document context.

  Overrides:
    `clone` in class `Annotation`
  Parameters:
    `context` - Which document the clone has to be registered in.

### getActions

    public AnnotationActions getActions()

  Description copied from class: `Annotation`
  Gets the annotation's behavior in response to various trigger events.

  Overrides:
    `getActions` in class `Annotation`

### getAppearanceCharacteristics

    public AppearanceCharacteristics getAppearanceCharacteristics()

  Gets the annotation's appearance characteristics to be used for its visual presentation on the page.

### getHighlightMode

    public Widget.HighlightModeEnum getHighlightMode()

  Gets the annotation's highlighting mode, the visual effect to be used when the mouse button is pressed or held down inside its active area.

### setAppearanceCharacteristics

    public void setAppearanceCharacteristics(AppearanceCharacteristics value)

  Sets the annotation's appearance characteristics.

  See Also:
    `getAppearanceCharacteristics()`

### setHighlightMode

    public void setHighlightMode(Widget.HighlightModeEnum value)

  Sets the annotation's highlighting mode.

  See Also:
    `getHighlightMode()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| PDF Clown 0.1.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Project home page
Copyright © 2006-2013 Stefano Chizzolini. Some Rights Reserved.
This documentation is available under the terms of the GNU Free Documentation License.